/*****************************************************************************
*	Filename:  PCADPCM.H                                                 *
******************************************************************************
*	Author:		Rodger Richey                                        *
*	Title:		Senior Applications Engineer                         *
*	Company:	Microchip Technology Incorporated                    *
*	Revision:	0                                                    *
*	Date:		1-11-96                                              *
*	Compiled using Bytecraft Ltd. MPC version BC.193                     *
******************************************************************************
*	This is the header file that contains the ADPCM structure definition *
*	and the function prototypes.                                         *
*****************************************************************************/

struct ADPCMState {
    signed long prevsample;        /* Predicted sample */
    int         previndex;         /* Index into step size table */
};

/* Function prototype for the ADPCM Encoder routine */
signed long ADPCMDecoder( char );

/* Function prototype for the ADPCM Decoder routine */
char ADPCMEncoder( signed long );
